/*
 * Class WEL_RICH_EDIT_FILE_SAVER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_836 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_836 [] = {0xFF01,1551,835,0xFFFF};
static const EIF_TYPE_INDEX egt_2_836 [] = {0xFF01,835,0xFFFF};
static const EIF_TYPE_INDEX egt_3_836 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_836 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_836 [] = {0xFF01,835,0xFFFF};
static const EIF_TYPE_INDEX egt_6_836 [] = {0xFF01,835,0xFFFF};
static const EIF_TYPE_INDEX egt_7_836 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_836 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_836 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_836 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_836 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_836 [] = {0xFF01,835,0xFFFF};
static const EIF_TYPE_INDEX egt_13_836 [] = {0xFF01,677,0xFFFF};


static const struct desc_info desc_836[] = {
	{EIF_GENERIC(NULL), 19380, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_836), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_836), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17573, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_836), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_836), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_836), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_836), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_836), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_836), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_836), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_836), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_836), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_836), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0687 /*835*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_836), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 16},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17577, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17571, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17575, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19346, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17582, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19375, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19338, 9},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19339, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19340, 12},
	{EIF_GENERIC(NULL), 19341, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19342, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19343, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19384, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19345, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19347, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19348, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 19349, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19350, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 19351, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19352, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19353, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19354, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19355, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 19356, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19357, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x053B /*669*/), 19376, 0},
	{EIF_GENERIC(NULL), 19383, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 19377, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19378, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19379, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19381, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_836), 19382, 4},
};
void Init836(void)
{
	IDSC(desc_836, 0, 835);
	IDSC(desc_836 + 1, 1, 835);
	IDSC(desc_836 + 32, 791, 835);
	IDSC(desc_836 + 34, 1359, 835);
	IDSC(desc_836 + 44, 1308, 835);
	IDSC(desc_836 + 54, 1133, 835);
	IDSC(desc_836 + 74, 31, 835);
	IDSC(desc_836 + 79, 1364, 835);
}


#ifdef __cplusplus
}
#endif
